Get a webhook delivery

Delivery detail: the signed request envelope plus the per-attempt response history.

Path Parameters
  • id
    Type: string Format: uuid
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/api/v1/webhooks/deliveries/{id}
curl https://api.bettermoney.com/api/v1/webhooks/deliveries/123e4567-e89b-12d3-a456-426614174000
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "accountId": "123e4567-e89b-12d3-a456-426614174000",
  "endpointId": "123e4567-e89b-12d3-a456-426614174000",
  "eventId": "string",
  "publicEventType": "payment_order",
  "status": "PENDING",
  "attemptSalt": -9007199254740991,
  "lastStatusCode": null,
  "lastError": null,
  "createdAt": "2026-09-08T20:57:50.017Z",
  "dispatchedAt": null,
  "deliveredAt": null,
  "failedAt": null,
  "payload": {
    "id": "string",
    "type": "payment_order",
    "created": "2026-09-08T20:57:50.017Z",
    "accountId": "123e4567-e89b-12d3-a456-426614174000",
    "data": {
      "payment_order": {
        "id": "string",
        "rulesetId": "123e4567-e89b-12d3-a456-426614174000",
        "mode": "standard",
        "senderAccountId": "123e4567-e89b-12d3-a456-426614174000",
        "fromUserId": null,
        "status": "AWAITING_FUNDS",
        "version": -9007199254740991,
        "asset": "string",
        "toChain": "string",
        "toAddress": "string",
        "amountUsd": 1,
        "memo": null,
        "idempotencyKey": "string",
        "payoutDestinationId": "123e4567-e89b-12d3-a456-426614174000",
        "instantFeeBps": 0,
        "quoteId": "string",
        "quoteFeeBps": 0,
        "estimatedSettlementAt": "2026-09-08T20:57:50.017Z",
        "createdAt": "2026-09-08T20:57:50.017Z",
        "expiresAt": "2026-09-08T20:57:50.017Z",
        "receivedTotal": 0,
        "inboundTransfers": [
          {
            "sender": "string",
            "amountUsd": 0,
            "chain": "string",
            "asset": "string",
            "transactionHash": "string",
            "observedAt": "2026-09-08T20:57:50.017Z",
            "status": "PENDING_VERIFICATION",
            "version": -9007199254740991,
            "refundReference": "string",
            "refundTransactionHash": "string"
          }
        ],
        "canceledAt": "2026-09-08T20:57:50.017Z",
        "cancelReason": "string",
        "cancelRequestedAt": "2026-09-08T20:57:50.017Z",
        "refundReason": "string",
        "refundedAt": "2026-09-08T20:57:50.017Z",
        "refundTransactionHash": "string",
        "distributionReference": "string",
        "settlementReference": "string",
        "distributionTransactionHash": "string",
        "distributionExecutedAt": "2026-09-08T20:57:50.017Z",
        "settledAt": "2026-09-08T20:57:50.017Z"
      }
    }
  },
  "attempts": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "deliveryId": "123e4567-e89b-12d3-a456-426614174000",
      "attemptNumber": -9007199254740991,
      "requestAt": "2026-09-08T20:57:50.017Z",
      "responseStatus": null,
      "responseSnippet": null,
      "error": null,
      "durationMs": null
    }
  ]
}